body {
    width: 100%;
    height: 100%;
    margin: 0%;
    padding: 0%;
    background: rgb(5, 13, 19);
    background-size: cover;
    font-family: 'Josefin Sans', sans-serif;
    color: aliceblue;
    text-align: center;
    align-items: center;
}

html {
    height: 100%;
    margin: 0%;
}

div {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

/* background image for homepage that only covers half the screen */
.bg {
	background-image: url("Pics/cosmos-1853491_1920.jpg");
    height: 50%; 
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

/* top half of home page with animated pic and nav bar https://css-tricks.com/left-and-right/ */
.bg .container {
    display: flex;
    margin-left: 10%;
    margin-right: 10%;
}

.left-half {
    flex: 1;
    padding: 20px;
}

.right-half {
    flex: 1;
    /*padding: 1rem;*/
}

/* title for right half */
.title {
    font-family: 'Josefin Sans', sans-serif;
    text-shadow: 2px 2px 4px rgb(73, 97, 164), 0 0 1em rgb(71, 185, 217), 0 0 0.2em rgb(95, 189, 215);
    font-size: 60px;
    font-weight: 900;
    color: aliceblue;
}

/* image goes on left half */
/* animated image with code from MarioDesigns on https://codepen.io/MarioDesigns/pen/woJgeo */
.floatingImage {
    overflow: hidden;
    justify-content: center;
    display: center;
    margin-right: 10%;
    margin-bottom: 10px;
    width: 300px;
    height: 300px;
    box-sizing: border-box;
    border: 6px rgb(101, 68, 177);
    border-radius: 50%;
    box-shadow: 0px 5px 15px 0px rgba(0,0,0,0.6);
    transform: translatey(0px);
    animation: float 10s ease-in-out infinite;
}

img {
	width: 100%;
    height: 100%;
}

@keyframes float {
	0% {
		box-shadow: 0 5px 15px 0px rgba(0,0,0,0.6);
		transform: translatey(0px);
	}
	50% {
		box-shadow: 0 25px 15px 0px rgba(0,0,0,0.2);
		transform: translatey(-20px);
	}
	100% {
		box-shadow: 0 5px 15px 0px rgba(0,0,0,0.6);
		transform: translatey(0px);
	}
}

/* navigation bar for home page */
.nav {
    overflow: hidden;
    display: flex;
    align-items: center;
    text-align: center;
    font-size: 20px;
    font-weight: 900;
}

.menu {
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    list-style: none;
    padding: 0 5px;
}

.menu a {
    display: block;
    height: 100%;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    color: aliceblue;
    text-shadow: 0 0 15px white;
    transition: all 300ms cubic-bezier(0.075, 0.82, 0.165, 1);
    font-stretch: semi-condensed;
    text-decoration: none;
    text-align: center;
    padding: 10px 15px;
}

/* credit to https://dev.to/kiranrajvjd/10-simple-navigation-bar-hover-animations-1980 */
.menu a:after,
.menu a:before {
    content: "";
    position: absolute;
    display: block;
    border: 0px solid transparent;
    width: 0%;
    height: 0%;
    transition: all 0.5s ease;
}

.menu a:after {
    width: 0%;
    height: 0%;
    top: 0;
    left: 0;
    border-top: 2px solid transparent;
    border-left: 2px solid transparent;
}

.menu a:before {
    width: 0%;
    height: 0%;
    right: 0;
    bottom: 0;
    border-bottom: 2px solid transparent;
    border-right: 2px solid transparent;
}

.menu a:hover{
    background-color: rgb(5, 13, 19);
    color: rgb(135, 168, 197);
}

.menu a:hover::before,
.menu a:hover::after {
    width: 100%;
    height: 100%;
    border-color: aliceblue;
}

/*social media buttons*/
.fa,
.fa-brands,
.fa-solid {
    padding: 10px;
    font-size: 30px;
    width: 30px;
    height: 30px;
    text-align: center;
    text-decoration: none;
    border-radius: 50%;
  }
  
.fa:hover,
.fa-brands:hover,
.fa-solid:hover {
    opacity: 0.7;
    color: rgb(135, 168, 197);
}
  
.fa-github,
.fa-envelope,
.fa-linkedin {
    background: rgb(5, 13, 19);
    color: aliceblue;
    margin: 10px;
}
  
.header {
    text-align: left;
    align-items: left;
    margin-left: 10%;
    margin-top: 5%;
    font-family: 'Josefin Sans', sans-serif;
    font-size: 40px;
    font-weight: 800;
    text-shadow: 1px 1px 2px rgb(73, 97, 164), 0 0 1em rgb(71, 185, 217), 0 0 0.2em rgb(95, 189, 215);
    color:aliceblue;
}

.par {
    text-align: left;
    align-items: left;
    margin-left: 10%;
    margin-right: 10%;
    margin-top: 5%;
    font-family: 'Josefin Sans', sans-serif;
    color: aliceblue;
    font-weight: 600;
    font-size: 18px;
}

/* shooting stars addition https://codesandbox.io/p/sandbox/css-shooting-stars-animation-w96ut?file=%2Fstyle.css%3A9%2C1-147%2C1 */

